%define upstream_name    DBIx-Class-IntrospectableM2M
%define upstream_version 0.001002

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Introspect many-to-many shortcuts
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/DBIx/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DBIx::Class)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch: noarch


%description
Because the many-to-many relationships are not real relationships, they can
not be introspected with DBIx::Class. Many-to-many relationships are
actually just a collection of convenience methods installed to bridge two
relationships. This the DBIx::Class manpage component can be used to store
all relevant information about these non-relationships so they can later be
introspected and examined.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc META.yml README Changes
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.1.2-3.mga6
+ Revision: 1025464
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.1.2-2.mga6
+ Revision: 967941
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 0.1.2-1.mga6
+ Revision: 850798
- update to 0.001002

* Wed Oct 15 2014 umeabot <umeabot> 0.1.1-5.mga5
+ Revision: 746132
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.1.1-3.mga4
+ Revision: 510422
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.1.1-2.mga3
+ Revision: 365123
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 25 2011 jquelin <jquelin> 0.1.1-1.mga1
+ Revision: 38582
- mageia rebuild
- imported package perl-DBIx-Class-IntrospectableM2M


* Sat Dec 25 2010 Shlomi Fish <shlomif@mandriva.org> 0.1.1-1mdv2011.0
+ Revision: 624756
- import perl-DBIx-Class-IntrospectableM2M

